Page MenuHomePhabricator

[Regression] Link to existing page in Flow board description is shown as red
Open, Needs TriagePublic

Description

Link to existing page in Flow board description is shown as red.

https://www.mediawiki.org/wiki/Manual_talk:Skinning_Part_1

The page https://www.mediawiki.org/wiki/Manual_talk:Skinning_Part_1/Archive_1 definitely exists.

The issue persists after purging https://www.mediawiki.org/wiki/Manual_talk:Skinning_Part_1.

Event Timeline

matmarex created this task.Aug 9 2017, 9:08 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 9 2017, 9:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

You have to edit it. Flow currently does not support change propagation.

Actually, this is supposed to work due to WikiLinkFixer. I think it's a regression. I set up a new test at https://www.mediawiki.org/wiki/Talk:Sandbox , and confirmed it.

Re-checked the link https://www.mediawiki.org/wiki/Manual_talk:Skinning_Part_1 in 1.31.0-wmf.2: the link displays as not red.

Should be marked as fixed?

Etonkovidova renamed this task from Link to existing page in Flow board description is shown as red to [Regression] Link to existing page in Flow board description is shown as red.Nov 22 2017, 12:46 AM

I don't know, it might have been fixed by purging the page or something? If this is not reproducible somewhere else, it should probably be closed.

One more example at zhwp: https://zh.wikipedia.org/wiki/User_talk:白布飘扬, there is still a redlink which shouldn't occur.

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 11:07 PM